@import "../variables.less";

.tor2e.sheet.actor.community, .tor2e.sheet.actor.character  {

  #journey-log, #undertakings {
    .year {
      background: @tor2e-background-red;
      padding-left: 0.5em;
    }
  }

  .data-row {
    align-items: center;
  }

  input[type='checkbox'] {
    display: none;
  }

  .lbl-toggle-travel-log,
  .lbl-toggle-undertaking {
    display: block;
    font-weight: bold;
    font-family: monospace;
    font-size: 1.2rem;
    text-transform: uppercase;
    text-align: center;
    padding: 0.1em;
    color: @tor2e-grey;
    background: @tor2e-background-red;
    cursor: pointer;
    border-radius: 7px;
    transition: all 0.25s ease-out;
    margin-bottom: 0.1em;
  }

  .lbl-toggle-travel-log:hover,
  .lbl-toggle-undertaking:hover {
    color: #8c8c8c;
  }

  .lbl-toggle-travel-log::after,
  .lbl-toggle-undertaking::after {
    margin-left: 0.5em;
    font-family: "Font Awesome 5 Free", serif;
    font-weight: 400;
    content: "\f151";
    display: inline-block;
    vertical-align: middle;
    margin-right: .7rem;
    transition: transform .2s ease-out;
  }

  .collapsible-travel-log-content .content-inner,
  .collapsible-undertaking-content .content-inner {
    background: rgba(165, 165, 165, .2);
    border-bottom: 1px solid rgba(179, 179, 179, .45);
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
    padding: .2em .5em;
  }

  .collapsible-travel-log-content,
  .collapsible-undertaking-content {
    max-height: 0;
    overflow: hidden;

    transition: max-height .25s ease-in-out;
  }

  .year-toggle-travel-log:checked + .lbl-toggle-travel-log + .collapsible-travel-log-content,
  .year-toggle-undertaking:checked + .lbl-toggle-undertaking + .collapsible-undertaking-content {
    max-height: 100vh;
  }

  .year-toggle-travel-log:checked + .lbl-toggle-travel-log::after,
  .year-toggle-undertaking:checked + .lbl-toggle-undertaking::after {
    margin-left: 0.5em;
    font-family: "Font Awesome 5 Free", serif;
    font-weight: 400;
    content: "\F150";
  }

  .year-toggle-travel-log:checked + .lbl-toggle-travel-log,
  .year-toggle-undertaking:checked + .lbl-toggle-undertaking {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
  }

  #undertakings, #songs, #journey-log {
    .stat-value, .table-caption {
      justify-content: center;
      display: flex;
      flex: 1;
      .tor2e-round-checkbox {
        .toggle-favoured-state {
          span {
            cursor: unset;
          }
        }
      }
    }
    .simple.stat-value, .simple.table-caption{
      flex:0.75;
    }
    .extended.stat-value, .extended.table-caption{
        flex:1.5;
    }
    .stat-value.actions, .table-caption.actions{
      flex: 1;
    }
  }

  #songs {

    .stat-value, .table-caption {
      flex: 1;
    }

    .simple.stat-value, .simple.table-caption{
      flex:0.5;
    }
    .extended.stat-value, .extended.table-caption{
      flex:2;
    }

    .stat-value.actions, .table-caption.actions{
      flex: 0.5;
    }
  }

}